html {
    scroll-behavior: smooth;
    background-image: linear-gradient(to bottom, rgb(64, 64, 64), rgb(23, 23, 23));
}

body {
    font-family: "Montserrat", sans-serif;
    margin: 0;
}

picture {
    align-items: center;
}

header {
    padding: 0;
    display: grid;
    grid-template-columns: 1fr;
    align-items: center;
}

header h1 {
    font-size: 4em;
    text-align: center;
    margin: 0 0 -40rem 0;
    z-index: 1;
    text-shadow: 0 -2px 12px rgb(255, 220, 167);
    color: white;
}

nav {
    list-style-type: none;
    display: flex;
    flex-flow: column;
    text-align: center;
}

nav a {
    padding: 20px 10px 20px 10px;
    flex: 1;
    text-decoration: none;
    font-weight: bold;
    color: white;
    text-shadow: 0 -2px 12px rgb(0, 0, 0);
    background-image: url(images/MarsImage.webp);
    background-position: 0;
}

a:hover,
a:active {
    text-decoration: underline;
    color: rgb(104, 187, 255);

}

nav a:hover,
a:active {
    font-size: 1.3rem;
}

nav a:visited {
    color: white;
}

a:visited {
    color: rgb(220, 137, 255);
}

.A1 {
    background-image: url(images/MyndHús.webp);
    background-size: cover;
}

.A2 {
    background-image: url(images/GeimSkip.webp);
    background-size: cover;
}

.A3 {
    background-image: url(images/MarsImage.webp);
    background-size: cover;
}

.A4 {
    background-image: url(images/SpaceXMynd.webp);
    background-size: cover;
}

main {
    background-image: linear-gradient(to bottom, rgb(213, 213, 213), rgb(213, 213, 213));
    display: grid;
    grid-template-areas:
        'Article1'
        'Aside1'
        'Aside2'
        'Aside3';
}

article {
    padding: 20px;
    grid-area: Article1;
}

aside {
    padding: 20px;
}

.aside1 {
    grid-area: Aside1;
}

.aside2 {
    grid-area: Aside2;
}

.aside3 {
    grid-area: Aside3;
}

.MyndBand {
    height: 50%;
    width: 100%;
}

.Gluggi {
    border: none;
    max-width: 300px;
    max-height: 300px;
}

footer {
    background-image: linear-gradient(to bottom, rgb(194, 192, 192), rgb(187, 185, 185));
    display: block;
    border-top: 1px solid black;
    padding: 20px;
}

ul {
    list-style-type: none;
}

img {
    max-width: 100%;
    height: auto;
}

@media screen and (min-width:48rem) {
    nav {
        display: flex;
        flex-flow: row;
        justify-content: space-around;
    }

    main {
        grid-template-areas:
        'Article1 Aside1'
        'Aside2 Aside3';
    }

    footer {
        display: grid;
        grid-template-columns: auto auto auto;
    }
}

@media screen and (min-width:60rem) {
    footer {
        column-gap: 1rem;
    }

    header h1 {
        font-size: 6rem;
    }
}

@media screen and (min-width:80rem) {
    main {
        grid-template-areas:
        'Article1 Aside1 Aside2'
        'Article1 Aside1 Aside3';
    }
    footer {
        grid-template-columns: repeat(4, auto);
    }

    .Container {
        max-width: 80rem;
        margin: 0 auto;
    }

}
